<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full flex flex-col" *ngLet="(newInvitations$ | async) ?? [] as invitations">
  <form [formGroup]="userForm" class="flex gap-4 items-center mt-2" (ngSubmit)="addInvitation()">
    <input pInputText formControlName="email" placeholder="Email" id="email" [style]="{ width: '320px' }" />
    <p-button icon="pi pi-plus" type="submit"></p-button>
  </form>
  <ng-container *ngLet="userForm.statusChanges | async as status">
    <ng-container *ngIf="userForm.controls.email.errors as errors">
      <div class="text-sm text-danger mt-1">
        <div *ngIf="errors.email">Invalid email address</div>
        <div *ngIf="errors.userExists">A user with this email already exists in your organisation</div>
        <div *ngIf="errors.invitationExists">An invitation already exists</div>
      </div>
    </ng-container>
  </ng-container>
  <div *ngIf="invitations.length <= 0" class="w-full h-full flex flex-col items-center gap-4 py-10 justify-center">
    <div class="text-lg font-semibold text-text-300">
      <app-sad-face></app-sad-face>
    </div>
    <div class="text-text-300 w-56 text-center">No new invitations</div>
  </div>
  <div *ngIf="invitations.length > 0" class="mt-10 grow overflow-y-auto">
    <div class="text-text-300 text-sm">invitations:</div>
    <div *ngFor="let email of invitations" class="py-6 border-b border-borderGrey">
      <app-new-invitation-preview [email]="email"></app-new-invitation-preview>
    </div>
  </div>
  <div class="mt-10 w-full flex justify-end items-center gap-10">
    <div class="flex flex-col gap-0.5">
      <ng-container *ngLet="countNewInvitations(invitations) as count">
        <div *ngIf="count > 0" class="text-primary-500 text-sm">{{ count }} new {{ inflectInvitations(count) }}</div>
      </ng-container>
      <ng-container *ngLet="countRenewedInvitations(invitations) as count">
        <div *ngIf="count > 0" class="text-primary-500 text-sm">{{ count }} renewed {{ inflectInvitations(count) }}</div>
      </ng-container>
    </div>
    <p-button
      label="Send"
      icon="fa fa-paper-plane"
      [style]="{ width: '160px' }"
      [disabled]="invitations.length == 0"
      [loading]="loading$ | async"
      (onClick)="sendInvitations()"
    ></p-button>
  </div>
</div>
